Flightgear scrapped my graphics

Here you can discuss every aspect of Debian. Note: not for support requests!

Re: Flightgear scrapped my graphics

Postby stevepusser » 2015-08-07 20:22

This begs the question: Since Flightgear (Debian used to call it fgfs) is not in the Wheezy repositories, how did you install it? Going outside the repositories can break your system if you or the packager are not careful.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10, Pale Moon 27.9.1, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9544
Joined: 2009-10-06 05:53

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2015-08-10 11:37

Hi Steve,

I answered this question in a previous post.

Steve
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Re: Flightgear scrapped my graphics

Postby millpond » 2015-08-10 18:54

If you are using an older machine, going from Wheezy to Jesse could putz things up becuase the Jessie video drivers removed 80,000 lines of code dealing with older video drivers such as the rv350.

Also: be wary of messing with systemd. It includes systemd-login which has a grub hook that will somehow screw up video if disabled, or missing.

Siwtch to the Vesa drivers from I believe nvidia-nouveau until you can get the 3d stuff sorted out.
millpond
 
Posts: 582
Joined: 2014-06-25 04:56

Re: Flightgear scrapped my graphics

Postby stevepusser » 2015-08-10 20:53

Steve Ford wrote:Hi Steve,

I answered this question in a previous post.

Steve


Not really:

Code: Select all
sudo apt-get install flightgear
and then
sudo apt-get remove flightgear


This will not work in Wheezy unless you added some outside repositories that include flightgear. Please tell us exactly and completely what you did to get flightgear to show up in the APT system.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10, Pale Moon 27.9.1, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9544
Joined: 2009-10-06 05:53

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2015-08-25 11:59

Hi,

I do not remember this precisely. Well, I simply was trying some lines of input code a few times. However, not very fancy commands had to be used to install and to remove flight gear.

Anyway, the program started and ran, but, endless slowly.

Steve
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Re: Flightgear scrapped my graphics

Postby stevepusser » 2015-08-25 17:03

OK, just input some fancy commands to fix your system. :? I'm sorry, but you probably broke your system by adding an incompatible repository, but you say you really don't know what you did. I can't see how you expect anybody to be able to undo what you did when we don't know what it was!

What does

Code: Select all
aptitude show flightgear


or

Code: Select all
aptitude show fgfs


reveal?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10, Pale Moon 27.9.1, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9544
Joined: 2009-10-06 05:53

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2015-08-28 10:23

Hello again,

I'm pretty new to Debian Linux. Therefore, things ran a little awkward. I guess.

However, the print out for
Code: Select all
aptitude show flightgear

was
Code: Select all
Package: flightgear           
New: yes
State: not installed
Version: 3.0.0-5
Priority: extra
Section: games
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Architecture: i386
Uncompressed Size: 16.4 M
Depends: flightgear-data-all (>= 3.0.0), freeglut3, libc6 (>= 2.15), libdbus-1-3
         (>= 1.0.2), libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1,
         libglu1-mesa | libglu1, libgsm1 (>= 1.0.13), libice6 (>= 1:1.0.0),
         libjpeg62-turbo (>= 1.3.1), libopenal1 (>= 1.14), libopenscenegraph100,
         libopenthreads20, libplib1 (>= 1.8.5-1), libpng12-0 (>= 1.2.13-4),
         libsimgearcore3.0.0 (>= 3.0.0~), libsimgearscene3.0.0 (>= 3.0.0~),
         libsm6, libspeex1 (>= 1.2~beta3-1), libspeexdsp1 (>= 1.2~beta3.2-1),
         libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.9), libudev1 (>= 183),
         libx11-6, libxext6, libxi6, libxmu6, zlib1g (>= 1:1.1.4)
Description: Flight Gear Flight Simulator
 FlightGear Flight Simulator (often shortened to FlightGear or FGFS) is a
 sophisticated free, completely open-source flight simulator framework, created
 by volunteers.
 
 This package contains the runtime binaries.
Homepage: http://www.flightgear.org/


Code: Select all
aptitude show fgfs

results in
Code: Select all
E: Unable to locate package fgfs


I truly hope this helps.

Steve
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Re: Flightgear scrapped my graphics

Postby stevepusser » 2015-08-28 18:37

Well, that's the Jessie version of flightgear, so if you tried to install it in your Wheezy system, that would end up breaking the install. I don't know how you then tried the Jessie upgrade, but something was again not done correctly, and you still have a broken system. I'd cut my losses, save my data, and do a fresh install of Jessie at this point.

By the way, we do have a Wheezy-compatible flightgear-3.0 in the MEPIS community repositories, and I'm going to see what happens with 3.4. We backport packages precisely to prevent these kind of system foulups.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10, Pale Moon 27.9.1, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9544
Joined: 2009-10-06 05:53

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2015-09-03 15:56

Hello again!

At this time a fresh install was no option. I keep on trying to find an other fix for the issues I encounter.

Thank you,
Steve
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Re: Flightgear scrapped my graphics

Postby runfrodorun » 2015-09-04 00:18

He's talking about hitting 'q' when you upgrade distros and it displays the package news, you need to hit q to accept and install them

-RJ
Much opinionated.
Some abrasive.
No systemd.
Wow.
runfrodorun
 
Posts: 202
Joined: 2013-06-19 05:09

Re: Flightgear scrapped my graphics

Postby michapma » 2015-09-30 09:04

runfrodorun wrote:He's talking about hitting 'q' when you upgrade distros and it displays the package news, you need to hit q to accept and install them

-RJ

Yes, the installer shows news about package updates using less. I’m so relieved there isn’t a super-secret update key I was missing. :oops: :D

To Steve Ford:
Congratulations on upgrading to Jessie. Reverting to Wheezy is not the solution to your issue. It would require a reinstall, and the days of support for Wheezy are limited. Upgrading to the next release, in this case to Jessie, always brings many changes—the real issue you face is very probably getting support for your graphics card. If I understand right, Flightgear ran smoothly for you before, but now it is choppy, so, assuming you haven’t already moved on, let’s start at the most obvious problem, the graphics card driver.

The first step is to identify your graphics card.
https://wiki.debian.org/HowToIdentifyADevice/PCI

The most relevant information we need is the output of
Code: Select all
lspci -nn


After we learn what graphics chip your computer has, we can work on getting the best driver for 3D performance installed.

I used to flight sim a lot, and never found Flightgear easy or gratifying to use. Since I rarely boot Windows, I might give X-Plane a try soon. Thanks WeLoveDebian for the reminder.
User avatar
michapma
 
Posts: 539
Joined: 2008-05-04 20:49
Location: Prague

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2016-02-25 14:25

As a little update

the graphics issue seems to have solved itself more or less. I cant wait for Debian 8.4 to upgrade to it again.

Start me up

Steve
Last edited by Steve Ford on 2016-03-01 04:15, edited 2 times in total.
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Re: Flightgear scrapped my graphics

Postby millpond » 2016-02-26 02:48

Be aware that upgrading to Jesse will putz alot of older systems, since the newer video library deliberately decided to omit 3D drivers for older cards - and even compiling the missing driver did not help - at least in my case.

Oddly, this did not occur with LMDE Betsy, which is based on Jesse (Stable) and *kept* the older drivers.
millpond
 
Posts: 582
Joined: 2014-06-25 04:56

Re: Flightgear scrapped my graphics

Postby oldtechaa » 2016-02-26 13:40

That is not the recommended procedure. I don't even know how that worked. The correct procedure is to change your sources.list, then aptitude (or apt-get) dist-upgrade.
Check out SeekMIDI, a simple, lightweight MIDI sequencer at https://github.com/oldtechaa/seekmidi/!
oldtechaa
 
Posts: 52
Joined: 2016-02-10 14:27

Re: Flightgear scrapped my graphics

Postby Steve Ford » 2016-03-28 13:04

To your notice the trouble has stopped. I don't know how but seemingly anything is working normally again.

However I can't wait to upgrade to version 8.4..

Steve
Steve Ford
 
Posts: 11
Joined: 2015-07-30 10:28

Previous

Return to General Discussion

Who is online

Users browsing this forum: MoaTib and 4 guests

fashionable